;;; booleanp.el --- Test the contracts of `booleanp'

;;; Commentary:
;; 
;; See info node "`nil' and `t'".

;;; Code:

(require 'ert)

(ert-deftest booleanp--ok ()
  "Are the return values correct for various parameters?"
  (should (booleanp nil))
  (should (booleanp t))
  (should (booleanp ()))
  (should-not (booleanp 1))
  (should-not (booleanp ?a))
  (should-not (booleanp "s"))
  (should-not (booleanp [1]))
  (should-not (booleanp '(1)))
  (should-not (booleanp '(1 . ?a)))
  )

(ert-deftest booleanp--wrong-number-of-arguments ()
  "Do wrong number of parameters return correct error?"
  (should-error (booleanp) :type 'wrong-number-of-arguments)
  (should-error (booleanp nil nil) :type 'wrong-number-of-arguments)
  )

;;; booleanp.el ends here
