;;; nil_t.el --- Test the contracts of nil and t

;;; Commentary:
;; 
;; See info node "`nil' and `t'".

;;; Code:

(require 'ert)

(ert-deftest nil_t--values ()
  "Do nil and t return the correct value?"
  (should (eq nil nil))
  (should (eq nil ()))
  (should (eq t t))
  (should-not (eq nil t))
  )

(ert-deftest nil_t--constant ()
  "Are nil and t constants?"
  (should-error (setq nil nil) :type 'setting-constant)
  (should-error (setq nil t) :type 'setting-constant)
  (should-error (setq nil 0) :type 'setting-constant)
  (should-error (setq t t) :type 'setting-constant)
  (should-error (setq t nil) :type 'setting-constant)
  (should-error (setq t ?t) :type 'setting-constant)
  )

;;; nil_t.el ends here
