;;; emacs-minor-version.el --- Test the contracts of `emacs-minor-version'

;;; Commentary:
;; 
;; See info node "Version Information".

;;; Code:

(require 'ert)

(ert-deftest emacs-minor-version--variable ()
  "Does variable `emacs-minor-version' return correct looking values?"
  (should (integerp emacs-minor-version))
  )

(ert-deftest emacs-minor-version--in-emacs-version ()
  "Is the value of the variable contained in the return of `emacs-version'?"
  (should (string-match
	   (format "^[0-9]+\\.%d\\(\\.\\|$\\)" emacs-minor-version)
	   emacs-version))
  )
