;;; emacs-version.el --- Test the contracts of `emacs-version'

;;; Commentary:
;; 
;; See info node "Version Information".

;;; Code:

(require 'ert)

(ert-deftest emacs-version--ok-no-here ()
  "Does function `emacs-version' return correct looking values
without the optional parameter?"
  (should (stringp (emacs-version)))
  )

;; FIXME: Tests for `here' parameter missing

(ert-deftest emacs-version--wrong-number-of-arguments ()
  "Do wrong number of parameters return correct error?"
  (should-error (emacs-version nil nil) :type 'wrong-number-of-arguments)
  )

(ert-deftest emacs-version--variable ()
  "Does variable `emacs-version' return correct looking values?"
  (should (stringp emacs-version))
  (should (string-match "^[0-9]+\\.[0-9]+\\(\\.[0-9]+\\)*$" emacs-version))
  )

(ert-deftest emacs-version--variable-in-function ()
  "Is the value of the variable contained in the return of the function?"
  (should (string-match (regexp-quote emacs-version) (emacs-version)))
  )
